package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaiShouAppInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description: ai批量上传应用
 * @Author: jeecg-boot
 * @Date: 2021-02-02
 * @Version: V1.0
 */
public interface IAiKuaiShouAppInfoService extends IService<AiKuaiShouAppInfo> {

    JSONObject importExcel(MultipartFile file, Long accountId, String imageToken, Integer platform, String accessToken);

    JSONObject uploadAppIconImage(String url, Long accountId, String accessToken);

    void appCreative(Long accountId, String accessToken);

    AiKuaiShouAppInfo getByParams(Long accountId,Long appId);
}
